export declare const generateKeyPolicy: (account: string, region: string) => {
    Id: string;
    Version: string;
    Statement: ({
        Sid: string;
        Effect: string;
        Principal: {
            AWS: string[];
        };
        Action: string[];
        Resource: string;
        Condition: {
            StringEquals: {
                'kms:CallerAccount': string;
                'kms:ViaService': string;
            };
            StringLike?: undefined;
        };
    } | {
        Sid: string;
        Effect: string;
        Principal: {
            AWS: string[];
        };
        Action: string;
        Resource: string;
        Condition: {
            StringEquals: {
                'kms:CallerAccount': string;
                'kms:ViaService'?: undefined;
            };
            StringLike: {
                'kms:ViaService': string;
            };
        };
    } | {
        Sid: string;
        Effect: string;
        Principal: {
            AWS: string[];
        };
        Action: string[];
        Resource: string;
        Condition?: undefined;
    })[];
};
