import { IGrantable } from 'aws-cdk-lib/aws-iam';
import { IKey } from 'aws-cdk-lib/aws-kms';
import { Construct, IDependable } from 'constructs';
export interface ReplicatedKeyProps {
    readonly replicaRegions: string[];
}
export declare class ReplicatedKey extends Construct {
    private masterKey;
    private keys;
    dependable: IDependable;
    constructor(scope: Construct, id: string, props: ReplicatedKeyProps);
    grantDecrypt(grantee: IGrantable): void;
    grantEncrypt(grantee: IGrantable): void;
    grantEncryptDecrypt(grantee: IGrantable): void;
    getRegionalKey(region: string): IKey;
    tryGetRegionalKey(region: string): IKey | undefined;
    private getReplicaArn;
}
